Bug 45965

Summary: [Qt] Don't copy clip path to TransparencyLayer
Product: WebKit Reporter: Andreas Kling <kling>
Component: WebCore Misc.Assignee: QtWebKit Unassigned <webkit-qt-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: ademar
Priority: P2 Keywords: Performance, Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch (r=simon) none

Description Andreas Kling 2010-09-17 08:49:46 PDT
We don't need to copy the GC's clip path to the TransparencyLayer since it will clip anyway when ending the layer.
Comment 1 Andreas Kling 2010-09-17 08:50:36 PDT
Created attachment 67912 [details]
Patch (r=simon)
Comment 2 Andreas Kling 2010-09-18 08:23:53 PDT
Comment on attachment 67912 [details]
Patch (r=simon)

Clearing flags on attachment: 67912

Committed r67780: <http://trac.webkit.org/changeset/67780>
Comment 3 Andreas Kling 2010-09-18 08:24:03 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Ademar Reis 2010-09-20 08:00:04 PDT
Revision r67780 cherry-picked into qtwebkit-2.1 with commit db31c6a <http://gitorious.org/webkit/qtwebkit/commit/db31c6a>